{% extends 'base.html' %}
{% block buttons %}
    <a type="button" class="btn-bs h4 my-0 px-2" href="{% url 'bells' %}">
        Расписание звонков
    </a>
    {% if request.user.is_authenticated %}
    {% else %}
    <div class="text-white hstack mx-3">
        <a type="button" class="btn-log h4 my-0" href="{% url 'login' %}">Вход</a>
        <p class="h4 my-0">/</p>
        <a type="button" class="btn-log h4 my-0" href="{% url 'registration' %}">Регистрация</a>
    </div>
    {% endif %}
{% endblock %}
{% block content %}
    <div class="filter mx-4 row">
        <form class="col-8 hstack" id="filter">
            <div class="formpanel row">
                <div class="col mx-2 py-2">
                    <input type="text" class="form-control border-dark border-3" placeholder="Группа">
                </div>
                <div class="col mx-2 py-2">
                    <input type="text" class="form-control border-dark border-3" placeholder="Преподаватель">
                </div>
            </div>
            <button type="submit" class="sub btn btn-primary btn-lg mx-4">Найти</button>
        </form>
        <div class="subpan col-4 px-0 hstack">
            <button type="submit" class="sub btn-primary btn-lg mx-4" form="filter">
                Отписаться
            </button>
            <button type="submit" class="sub btn-primary btn-lg" form="filter">
                Подписаться
            </button>
        </div>
    </div>
    <div class="container-fluid mx-0 mt-2" style="background-color: #c2d9f0; height: 90vh">
        <div class="row mx-2 px-0">
            <div class="col-md-1 my-2 mx-2">
                <div class="timecol h4">
                    {% for h in hour%}
                        <div></div>
                        <div>
                            <p><span>{{h}}:00</span></p>
                        </div>
                    {% endfor %}
                </div>
            </div>
            <div class="col-md-11 row ">
                {% for d in day %}
                    <div class="schedule col-md mx-1 my-2 px-0">
                        <a data-bs-toggle="offcanvas" href="#offcanvas-example" role="button" aria-controls="offcanvasExample">
                            <p class="white-line h3 text-center"><span>{{d.0}}, {{d.1}}</span> </p>
                        </a>
                        <div class="white-line"></div>
                        {% for i in column %}
                            {% for _ in cell %}
                                <div></div>
                            {% endfor %}
                            <div></div>
                            <div class="white-line"></div>
                        {% endfor %}
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
    <div class="side-panel offcanvas offcanvas-end" tabindex="-1" id="offcanvas-example" data-bs-scroll="true" data-bs-backdrop="false" aria-labelledby="offcanvasExampleLabel">
        <div class="offcanvas-body">
            <div class="my-2">
                <form id="side-panel">
                    <div class="form">
                        <input type="text" class="form-control" id="teacher" name="teacher" placeholder="Преподаватель" required>
                    </div>
                    <div class="form">
                        <input type="text" class="form-control" id="group" name="group" placeholder="Группа" required>
                    </div>
                    <div class="form">
                        <input type="date" class="form-control" id="date" name="date" placeholder="Дата" required>
                    </div>
                    <div class="form">
                        <input type="text" class="form-control" id="shift" name="shift" placeholder="Смена" required>
                    </div>
                    <div class="form">
                        <input type="text" class="form-control" id="lesson" name="lesson" placeholder="Пара" required>
                    </div>
                    <div class="form">
                        <input type="text" class="form-control" id="discipline" name="discipline" placeholder="Дисциплина" required>
                    </div>
                    <div class="form">
                        <input type="text" class="form-control" id="class type" name="class type" placeholder="Вид занятия" required>
                    </div>
                    <div class="form">
                        <input type="text" class="form-control" id="lecture room" name="lecture room" placeholder="Аудитория" required>
                    </div>
                </form>
            </div>
        </div>
        <div class="offcanvas-footer">
            <button type="submit" class="btn-sp btn btn-primary mx-3 my-3" form="side-panel">Сохранить</button>
            <button type="button" class="btn-sp btn btn-primary text-reset mx-3 my-3" data-bs-dismiss="offcanvas" aria-label="close">Отмена</button>
        </div>
    </div>
{% endblock %}
{% block script %}
    {% load static %}
    <script type="text/javascript" src='{% static "./JavaScript/schedule.js" %}'></script>
{% endblock %}